Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/HeuristicLabServicesHiveDataAccessPlugin.cs.frame
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/HeuristicLabServicesHiveDataAccessPlugin.cs.frame	(revision 6742)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/HeuristicLabServicesHiveDataAccessPlugin.cs.frame	(revision 6743)
@@ -28,8 +28,5 @@
 namespace HeuristicLab.Services.Hive.DataAccess {
   [Plugin("HeuristicLab.Services.Hive.DataAccess", "3.3.5.$WCREV$")]
-  [PluginFile("HeuristicLab.Services.Hive.DataAccess-3.3.dll", PluginFileType.Assembly)]
-  [PluginDependency("HeuristicLab.Common", "3.3")]
-  [PluginDependency("HeuristicLab.Core", "3.3")]
-  [PluginDependency("HeuristicLab.Persistence", "3.3")]  
+  [PluginFile("HeuristicLab.Services.Hive.DataAccess-3.3.dll", PluginFileType.Assembly)]  
   public class HeuristicLabServicesHiveDataAccessPlugin : PluginBase {
   }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/Logger.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/Logger.cs	(revision 6742)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/Logger.cs	(revision 6743)
@@ -28,5 +28,5 @@
   public class LogFactory {
     public static ILogger GetLogger(string source) {
-      return new Logger("HL.Hive", source);
+      return new Logger(Settings.Default.EventLogName, source);
     }
   }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/Settings.Designer.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/Settings.Designer.cs	(revision 6742)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/Settings.Designer.cs	(revision 6743)
@@ -43,4 +43,13 @@
             }
         }
+        
+        [global::System.Configuration.ApplicationScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("HL.Hive")]
+        public string EventLogName {
+            get {
+                return ((string)(this["EventLogName"]));
+            }
+        }
     }
 }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/Settings.settings
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/Settings.settings	(revision 6742)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/Settings.settings	(revision 6743)
@@ -14,4 +14,7 @@
       <Value Profile="(Default)">00:05:00</Value>
     </Setting>
+    <Setting Name="EventLogName" Type="System.String" Scope="Application">
+      <Value Profile="(Default)">HL.Hive</Value>
+    </Setting>
   </Settings>
 </SettingsFile>
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/DaoTests.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/DaoTests.cs	(revision 6742)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/DaoTests.cs	(revision 6743)
@@ -49,5 +49,5 @@
       he.OwnerUserId = Guid.NewGuid();
       he.ResourceNames = "HEAL";
-      he.Id = dao.AddHiveExperiment(he);
+      he.Id = dao.AddJob(he);
 
       DT.Task job1 = new DT.Task();
@@ -80,9 +80,9 @@
       job1.PluginsNeededIds.Add(plugin1.Id);
 
-      job1.Id = dao.AddJob(job1);
+      job1.Id = dao.AddTask(job1);
       jobData1.TaskId = job1.Id;
-      dao.AddJobData(jobData1);
-
-      DT.Task job1loaded = dao.GetJob(job1.Id);
+      dao.AddTaskData(jobData1);
+
+      DT.Task job1loaded = dao.GetTask(job1.Id);
       Assert.AreEqual(job1.Id, job1loaded.Id);
       Assert.AreEqual(job1.CoresNeeded, job1loaded.CoresNeeded);
@@ -94,5 +94,5 @@
       Assert.AreEqual(job1.JobId, job1loaded.JobId);
       Assert.AreEqual(job1.IsPrivileged, job1loaded.IsPrivileged);
-      Assert.IsTrue(Math.Abs((job1loaded.LastJobDataUpdate - jobData1.LastUpdate).TotalSeconds) < 1);
+      Assert.IsTrue(Math.Abs((job1loaded.LastTaskDataUpdate - jobData1.LastUpdate).TotalSeconds) < 1);
       for (int i = 0; i < job1.StateLog.Count; i++) {
         Assert.AreEqual(job1.Id, job1loaded.StateLog[i].TaskId);
@@ -111,7 +111,7 @@
       job1.StateLog.Add(new DT.StateLog { State = DT.TaskState.Transferring, DateTime = DateTime.Now }); Thread.Sleep(10);
       job1.StateLog.Add(new DT.StateLog { State = DT.TaskState.Finished, DateTime = DateTime.Now }); Thread.Sleep(10);
-      dao.UpdateJob(job1);
-
-      job1loaded = dao.GetJob(job1.Id);
+      dao.UpdateTask(job1);
+
+      job1loaded = dao.GetTask(job1.Id);
       for (int i = 0; i < job1.StateLog.Count; i++) {
         Assert.AreEqual(job1.Id, job1loaded.StateLog[i].TaskId);
@@ -123,14 +123,14 @@
       }
 
-      DT.TaskData jobData1Loaded = dao.GetJobData(job1.Id);
+      DT.TaskData jobData1Loaded = dao.GetTaskData(job1.Id);
       Assert.AreEqual(jobData1.TaskId, jobData1Loaded.TaskId);
       Assert.IsTrue(Math.Abs((jobData1.LastUpdate - jobData1Loaded.LastUpdate).TotalSeconds) < 1);
       Assert.IsTrue(jobData1.Data.SequenceEqual(jobData1Loaded.Data));
 
-      dao.DeleteHiveExperiment(he.Id);
-
-      Assert.AreEqual(null, dao.GetJob(job1.Id));
-      Assert.AreEqual(null, dao.GetJobData(job1.Id));
-      Assert.AreEqual(null, dao.GetHiveExperiment(he.Id));
+      dao.DeleteJob(he.Id);
+
+      Assert.AreEqual(null, dao.GetTask(job1.Id));
+      Assert.AreEqual(null, dao.GetTaskData(job1.Id));
+      Assert.AreEqual(null, dao.GetJob(he.Id));
 
       dao.DeletePlugin(plugin1.Id);
@@ -220,5 +220,5 @@
       he.OwnerUserId = Guid.NewGuid();
       he.ResourceNames = "HEAL";
-      he.Id = dao.AddHiveExperiment(he);
+      he.Id = dao.AddJob(he);
 
       DT.Task job = new DT.Task();
@@ -226,5 +226,5 @@
       job.StateLog.Add(new DT.StateLog { State = DT.TaskState.Offline, DateTime = DateTime.Now });
       job.JobId = he.Id;
-      job.Id = dao.AddJob(job);
+      job.Id = dao.AddTask(job);
 
       DT.JobPermission perm = new DT.JobPermission();
@@ -233,19 +233,19 @@
       perm.GrantedUserId = Guid.NewGuid();
       perm.Permission = DT.Permission.Full;
-      dao.AddHiveExperimentPermission(perm);
-
-      DT.Job heLoaded = dao.GetHiveExperiment(he.Id);
+      dao.AddJobPermission(perm);
+
+      DT.Job heLoaded = dao.GetJob(he.Id);
       Assert.AreEqual(he.Id, heLoaded.Id);
       Assert.AreEqual(he.Name, heLoaded.Name);
       Assert.AreEqual(he.ResourceNames, heLoaded.ResourceNames);
-      //Assert.AreEqual(he.LastAccessed, heLoaded.LastAccessed);
-      //Assert.AreEqual(he.DateCreated, heLoaded.DateCreated);
-
-      DT.Task jobLoaded = dao.GetJob(job.Id);
+      //Assert.AreEqual(job.LastAccessed, heLoaded.LastAccessed);
+      //Assert.AreEqual(job.DateCreated, heLoaded.DateCreated);
+
+      DT.Task jobLoaded = dao.GetTask(job.Id);
       Assert.AreEqual(job.Id, jobLoaded.Id);
       Assert.AreEqual(job.State, jobLoaded.State);
       Assert.AreEqual(job.JobId, jobLoaded.JobId);
 
-      DT.JobPermission permLoaded = dao.GetHiveExperimentPermission(he.Id, perm.GrantedUserId);
+      DT.JobPermission permLoaded = dao.GetJobPermission(he.Id, perm.GrantedUserId);
       Assert.AreEqual(perm.JobId, permLoaded.JobId);
       Assert.AreEqual(perm.GrantedUserId, permLoaded.GrantedUserId);
@@ -253,8 +253,8 @@
       Assert.AreEqual(perm.Permission, permLoaded.Permission);
 
-      dao.DeleteHiveExperiment(he.Id);
-      Assert.AreEqual(null, dao.GetHiveExperiment(he.Id));
-      Assert.AreEqual(null, dao.GetJob(job.Id));
-      Assert.AreEqual(null, dao.GetHiveExperimentPermission(perm.JobId, perm.GrantedUserId));
+      dao.DeleteJob(he.Id);
+      Assert.AreEqual(null, dao.GetJob(he.Id));
+      Assert.AreEqual(null, dao.GetTask(job.Id));
+      Assert.AreEqual(null, dao.GetJobPermission(perm.JobId, perm.GrantedUserId));
 
     }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/HeuristicLab.Services.Hive.Tests-3.3.csproj
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/HeuristicLab.Services.Hive.Tests-3.3.csproj	(revision 6742)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/HeuristicLab.Services.Hive.Tests-3.3.csproj	(revision 6743)
@@ -85,5 +85,5 @@
       <SubType>Designer</SubType>
     </None>
-    <Shadow Include="Test References\HeuristicLab.Services.Hive-3.4.accessor" />
+    <Shadow Include="Test References\HeuristicLab.Services.Hive-3.3.accessor" />
   </ItemGroup>
   <ItemGroup />
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/Mocks/MockAuthorizationManager.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/Mocks/MockAuthorizationManager.cs	(revision 6742)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/Mocks/MockAuthorizationManager.cs	(revision 6743)
@@ -28,9 +28,9 @@
     }
 
-    public void AuthorizeForJob(Guid jobId, DataTransfer.Permission requiredPermission) {
+    public void AuthorizeForTask(Guid jobId, DataTransfer.Permission requiredPermission) {
       // ok.
     }
 
-    public void AuthorizeForExperiment(Guid experimentId, DataTransfer.Permission requiredPermission) {
+    public void AuthorizeForJob(Guid experimentId, DataTransfer.Permission requiredPermission) {
       // ok.
     }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/ServiceTests.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/ServiceTests.cs	(revision 6742)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/ServiceTests.cs	(revision 6743)
@@ -98,12 +98,12 @@
 
       // add hive experiment
-      experiment.Id = service.AddHiveExperiment(experiment);
+      experiment.Id = service.AddJob(experiment);
 
       // add task
       job.JobId = experiment.Id;
-      job.Id = service.AddJob(job, jobData, new List<Guid> { slave.Id });
+      job.Id = service.AddTask(job, jobData, new List<Guid> { slave.Id });
 
       // test task
-      DT.Task jobLoaded = service.GetJob(job.Id);
+      DT.Task jobLoaded = service.GetTask(job.Id);
       Assert.AreEqual(job.Id, jobLoaded.Id);
       Assert.AreEqual(job.CoresNeeded, jobLoaded.CoresNeeded);
@@ -114,10 +114,10 @@
       Assert.AreEqual(job.JobId, jobLoaded.JobId);
 
-      DT.TaskData jobDataLoaded = service.GetJobData(job.Id);
+      DT.TaskData jobDataLoaded = service.GetTaskData(job.Id);
       Assert.AreEqual(job.Id, jobDataLoaded.TaskId);
       Assert.IsTrue(jobData.Data.SequenceEqual(jobDataLoaded.Data));
 
       // test hive experiment
-      DT.Job experimentLoaded = service.GetHiveExperiment(experiment.Id);
+      DT.Job experimentLoaded = service.GetJob(experiment.Id);
       Assert.AreEqual(experiment.Id, experimentLoaded.Id);
       Assert.AreEqual(experiment.Name, experimentLoaded.Name);
@@ -130,9 +130,9 @@
       Assert.AreEqual(job.Id, actions[0].TaskId);
 
-      jobLoaded = service.GetJob(job.Id);
+      jobLoaded = service.GetTask(job.Id);
       Assert.AreEqual(TaskState.Transferring, jobLoaded.State);
 
       // slave is responsible for updating state to 'Calculating'
-      service.UpdateJobState(jobLoaded.Id, DT.TaskState.Calculating, slave.Id, null, null);
+      service.UpdateTaskState(jobLoaded.Id, DT.TaskState.Calculating, slave.Id, null, null);
 
       // send progress
@@ -143,22 +143,22 @@
 
       // the task should be in state 'Calculating' now
-      jobLoaded = service.GetJob(job.Id);
+      jobLoaded = service.GetTask(job.Id);
       Assert.AreEqual(TaskState.Calculating, jobLoaded.State);
       Assert.AreEqual(new TimeSpan(1, 5, 10, 20, 30), jobLoaded.ExecutionTime);
 
       // test if the task is returned for the resource
-      var jobsBySlave = service.GetJobsByResourceId(slave.Id);
+      var jobsBySlave = service.GetTasksByResourceId(slave.Id);
       Assert.AreEqual(1, jobsBySlave.Count());
       Assert.AreEqual(job.Id, jobsBySlave.Single().Id);
 
       // set it to finished
-      service.UpdateJobState(jobLoaded.Id, DT.TaskState.Finished, slave.Id, null, null);
+      service.UpdateTaskState(jobLoaded.Id, DT.TaskState.Finished, slave.Id, null, null);
 
       // test if the task is returned for the resource (it should not be)
-      var jobsBySlave2 = service.GetJobsByResourceId(slave.Id);
+      var jobsBySlave2 = service.GetTasksByResourceId(slave.Id);
       Assert.AreEqual(0, jobsBySlave2.Count());
 
       // set task waiting again
-      service.UpdateJobState(job.Id, DT.TaskState.Waiting, null, null, string.Empty);
+      service.UpdateTaskState(job.Id, DT.TaskState.Waiting, null, null, string.Empty);
 
       // get task again
@@ -181,8 +181,8 @@
 
       // delete
-      service.DeleteHiveExperiment(experiment.Id);
-      Assert.AreEqual(null, service.GetHiveExperiment(experiment.Id));
-      Assert.AreEqual(null, service.GetJob(job.Id));
-      Assert.AreEqual(null, service.GetJobData(job.Id));
+      service.DeleteJob(experiment.Id);
+      Assert.AreEqual(null, service.GetJob(experiment.Id));
+      Assert.AreEqual(null, service.GetTask(job.Id));
+      Assert.AreEqual(null, service.GetTaskData(job.Id));
 
       // send another heartbeat with the deleted task; the server should command the abortion of the task
@@ -241,17 +241,17 @@
 
       // add hive experiment
-      experiment.Id = service.AddHiveExperiment(experiment);
+      experiment.Id = service.AddJob(experiment);
 
       // add parent task
       parentJob.JobId = experiment.Id;
-      parentJob.Id = service.AddJob(parentJob, parentJobData, new List<Guid> { slave.Id });
+      parentJob.Id = service.AddTask(parentJob, parentJobData, new List<Guid> { slave.Id });
 
       // add child task
       childJob.JobId = experiment.Id;
-      childJob.Id = service.AddChildJob(parentJob.Id, childJob, childJobData);
+      childJob.Id = service.AddChildTask(parentJob.Id, childJob, childJobData);
       childJob.ParentTaskId = parentJob.Id;
 
       // test child task
-      var childJobLoaded = service.GetJob(childJob.Id);
+      var childJobLoaded = service.GetTask(childJob.Id);
       Assert.AreEqual(childJob.ParentTaskId, childJobLoaded.ParentTaskId);
       Assert.AreEqual(childJob.JobId, childJobLoaded.JobId);
@@ -261,5 +261,5 @@
 
       // test parent task
-      var parentJobLoaded = service.GetJob(parentJob.Id);
+      var parentJobLoaded = service.GetTask(parentJob.Id);
       Assert.AreEqual(parentJob.JobId, parentJobLoaded.JobId);
       Assert.AreEqual(TaskState.Waiting, parentJobLoaded.State);
@@ -276,9 +276,9 @@
       service.TriggerEventManager(true);
 
-      parentJobLoaded = service.GetJob(parentJob.Id);
+      parentJobLoaded = service.GetTask(parentJob.Id);
       Assert.AreEqual(TaskState.Waiting, parentJobLoaded.State);
 
       // set child task to finished
-      childJobLoaded = service.UpdateJobState(childJobLoaded.Id, DT.TaskState.Finished, slave.Id, null, null);
+      childJobLoaded = service.UpdateTaskState(childJobLoaded.Id, DT.TaskState.Finished, slave.Id, null, null);
 
       // lifecycle - let it process one server-heartbeat; this should set the parent task to finished
@@ -286,11 +286,11 @@
 
       // test if parent task is finished
-      parentJobLoaded = service.GetJob(parentJob.Id);
+      parentJobLoaded = service.GetTask(parentJob.Id);
       Assert.AreEqual(TaskState.Finished, parentJobLoaded.State);
 
       // delete experiment
-      service.DeleteHiveExperiment(experiment.Id);
-      Assert.AreEqual(null, service.GetJob(parentJob.Id));
-      Assert.AreEqual(null, service.GetJob(childJob.Id));
+      service.DeleteJob(experiment.Id);
+      Assert.AreEqual(null, service.GetTask(parentJob.Id));
+      Assert.AreEqual(null, service.GetTask(childJob.Id));
 
       service.DeleteSlave(slave.Id);
@@ -305,9 +305,9 @@
       // create hive experiment
       DT.Job e1 = new DT.Job() { Name = "TestExperiment", Description = "" };
-      e1.Id = service.AddHiveExperiment(e1);
-
-      var e1loaded = service.GetHiveExperiment(e1.Id);
+      e1.Id = service.AddJob(e1);
+
+      var e1loaded = service.GetJob(e1.Id);
       Assert.AreEqual(Permission.Full, e1loaded.Permission);
-      var allExp = service.GetHiveExperiments();
+      var allExp = service.GetJobs();
       Assert.AreEqual(1, allExp.Count(x => x.Id == e1.Id));
 
@@ -315,9 +315,9 @@
       mockServiceLocator.SetCurrentUserId(MockUserManager.MockUserId2);
       try {
-        e1loaded = service.GetHiveExperiment(e1.Id);
+        e1loaded = service.GetJob(e1.Id);
         Assert.Fail("Access should not be possible");
       }
       catch { /* ok, cool */ }
-      allExp = service.GetHiveExperiments();
+      allExp = service.GetJobs();
       Assert.AreEqual(0, allExp.Count(x => x.Id == e1.Id));
 
@@ -335,7 +335,7 @@
       // back to user2
       mockServiceLocator.SetCurrentUserId(MockUserManager.MockUserId2);
-      e1loaded = service.GetHiveExperiment(e1.Id);
+      e1loaded = service.GetJob(e1.Id);
       Assert.AreEqual(Permission.Read, e1loaded.Permission);
-      allExp = service.GetHiveExperiments();
+      allExp = service.GetJobs();
       Assert.AreEqual(1, allExp.Count(x => x.Id == e1.Id));
 
@@ -353,7 +353,7 @@
       // back to user2
       mockServiceLocator.SetCurrentUserId(MockUserManager.MockUserId2);
-      e1loaded = service.GetHiveExperiment(e1.Id);
+      e1loaded = service.GetJob(e1.Id);
       Assert.AreEqual(Permission.Full, e1loaded.Permission);
-      allExp = service.GetHiveExperiments();
+      allExp = service.GetJobs();
       Assert.AreEqual(1, allExp.Count(x => x.Id == e1.Id));
 
@@ -368,14 +368,14 @@
       mockServiceLocator.SetCurrentUserId(MockUserManager.MockUserId2);
       try {
-        e1loaded = service.GetHiveExperiment(e1.Id);
+        e1loaded = service.GetJob(e1.Id);
         Assert.Fail("Access should not be possible");
       }
       catch { /* ok, cool */ }
-      allExp = service.GetHiveExperiments();
+      allExp = service.GetJobs();
       Assert.AreEqual(0, allExp.Count(x => x.Id == e1.Id));
 
       // back to user1
       mockServiceLocator.SetCurrentUserId(MockUserManager.MockUserId1);
-      service.DeleteHiveExperiment(e1.Id);
+      service.DeleteJob(e1.Id);
     }
   }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/Test References/HeuristicLab.Services.Hive-3.3.accessor
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/Test References/HeuristicLab.Services.Hive-3.3.accessor	(revision 6743)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Tests/Test References/HeuristicLab.Services.Hive-3.3.accessor	(revision 6743)
@@ -0,0 +1,2 @@
+HeuristicLab.Services.Hive-3.3.dll
+Desktop
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Web/Hive-3.4/Status.aspx.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Web/Hive-3.4/Status.aspx.cs	(revision 6742)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.Web/Hive-3.4/Status.aspx.cs	(revision 6743)
@@ -1,3 +1,24 @@
-﻿using System;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
 using System.Collections.Generic;
 using System.Linq;
@@ -32,5 +53,5 @@
     int currentlyAvailableCores = onlineSlaves.Sum(s => s.Cores.Value);
     int currentlyUsedCores = currentlyAvailableCores - onlineSlaves.Sum(s => s.FreeCores.Value);
-    int currentlyJobsWaiting = ServiceLocator.Instance.HiveDao.GetJobs(x => x.State == DA.TaskState.Waiting).Count();
+    int currentlyJobsWaiting = ServiceLocator.Instance.HiveDao.GetTasks(x => x.State == DA.TaskState.Waiting).Count();
 
     this.availableCoresLabel.Text = currentlyAvailableCores.ToString();
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/Convert.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/Convert.cs	(revision 6742)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/Convert.cs	(revision 6743)
@@ -27,8 +27,7 @@
 using DT = HeuristicLab.Services.Hive.DataTransfer;
 
-
 namespace HeuristicLab.Services.Hive.DataTransfer {
   public static class Convert {
-    #region Job
+    #region Task
     public static DT.Task ToDto(DB.Task source) {
       if (source == null) return null;
@@ -47,5 +46,5 @@
         FinishWhenChildJobsFinished = source.FinishWhenChildJobsFinished,
         Command = Convert.ToDto(source.Command),
-        LastJobDataUpdate = (source.JobData == null ? DateTime.MinValue : source.JobData.LastUpdate),
+        LastTaskDataUpdate = (source.JobData == null ? DateTime.MinValue : source.JobData.LastUpdate),
         JobId = source.JobId,
         IsPrivileged = source.IsPrivileged
@@ -150,5 +149,5 @@
     #endregion
 
-    #region HiveExperimentPermission
+    #region JobPermission
     public static DT.JobPermission ToDto(DB.JobPermission source) {
       if (source == null) return null;
@@ -363,5 +362,4 @@
     }
     #endregion
-
 
     #region TaskData
@@ -433,5 +431,4 @@
     #endregion
 
-
     #region Command
     public static DT.Command? ToDto(DB.Command? source) {
@@ -462,5 +459,4 @@
         return null;
     }
-
     #endregion
 
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/DataTransfer/Heartbeat.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/DataTransfer/Heartbeat.cs	(revision 6742)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/DataTransfer/Heartbeat.cs	(revision 6743)
@@ -35,7 +35,7 @@
     public int FreeCores { get; set; }
     [DataMember]
-    public Dictionary<Guid, TimeSpan> JobProgress { get; set; } // TODO: define Type
+    public Dictionary<Guid, TimeSpan> JobProgress { get; set; }
     [DataMember]
-    public bool AssignJob { get; set; } // if false, the server will not assign a new job
+    public bool AssignJob { get; set; } // if false, the server will not assign a new task
     [DataMember]
     public float CpuUtilization { get; set; }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/DataTransfer/LightweightTask.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/DataTransfer/LightweightTask.cs	(revision 6742)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/DataTransfer/LightweightTask.cs	(revision 6743)
@@ -40,5 +40,5 @@
     public Command? Command { get; set; }
     [DataMember]
-    public DateTime LastJobDataUpdate { get; set; }
+    public DateTime LastTaskDataUpdate { get; set; }
 
     public StateLog CurrentStateLog { get { return StateLog.LastOrDefault(); } }
@@ -50,12 +50,12 @@
     }
 
-    public LightweightTask(Task job) {
-      this.Id = job.Id;
-      this.ExecutionTime = job.ExecutionTime;
-      this.ParentTaskId = job.ParentTaskId;
-      this.StateLog = new List<StateLog>(job.StateLog);
-      this.State = job.State;
-      this.Command = job.Command;
-      this.LastJobDataUpdate = job.LastJobDataUpdate;
+    public LightweightTask(Task task) {
+      this.Id = task.Id;
+      this.ExecutionTime = task.ExecutionTime;
+      this.ParentTaskId = task.ParentTaskId;
+      this.StateLog = new List<StateLog>(task.StateLog);
+      this.State = task.State;
+      this.Command = task.Command;
+      this.LastTaskDataUpdate = task.LastTaskDataUpdate;
     }
   }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/DataTransfer/Permission.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/DataTransfer/Permission.cs	(revision 6742)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/DataTransfer/Permission.cs	(revision 6743)
@@ -28,10 +28,10 @@
 
     /// <summary>
-    /// User can only download and view experiments
+    /// User can only download and view jobs
     /// </summary>
     Read,
 
     /// <summary>
-    /// User can pause, stop, restart, delete experiment. can also grant other 
+    /// User can pause, stop, restart, delete job. can also grant other 
     /// </summary>
     Full
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/DataTransfer/TaskState.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/DataTransfer/TaskState.cs	(revision 6742)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/DataTransfer/TaskState.cs	(revision 6743)
@@ -26,5 +26,5 @@
   public enum TaskState {
     /// <summary>
-    /// A task is offline as long as he is not yet submitted to the hive
+    /// A task is offline as long as job is not yet submitted to the hive
     /// </summary>
     Offline,
@@ -68,5 +68,5 @@
   public static class TaskStateExtensions {
     /// <summary>
-    /// This job is not yet done
+    /// This task is not yet done
     /// </summary>
     public static bool IsActive(this TaskState taskState) {
@@ -75,5 +75,5 @@
 
     /// <summary>
-    /// This job is Waiting
+    /// This task is Waiting
     /// </summary>
     public static bool IsWaiting(this TaskState taskState) {
@@ -82,5 +82,5 @@
 
     /// <summary>
-    /// This job is Finished || Failed || Aborted
+    /// This task is Finished || Failed || Aborted
     /// </summary>
     public static bool IsDone(this TaskState taskState) {
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/HeuristicLab.Services.Hive-3.3.csproj
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/HeuristicLab.Services.Hive-3.3.csproj	(revision 6742)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/HeuristicLab.Services.Hive-3.3.csproj	(revision 6743)
@@ -74,8 +74,4 @@
     <Reference Include="HeuristicLab.Common-3.3">
       <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.Common-3.3.dll</HintPath>
-    </Reference>
-    <Reference Include="HeuristicLab.Common.Resources-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
-      <SpecificVersion>False</SpecificVersion>
-      <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.Common.Resources-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Core-3.3">
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/HeuristicLabServicesHivePlugin.cs.frame
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/HeuristicLabServicesHivePlugin.cs.frame	(revision 6742)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.3/HeuristicLabServicesHivePlugin.cs.frame	(revision 6743)
@@ -29,6 +29,5 @@
   [Plugin("HeuristicLab.Services.Hive", "3.3.5.$WCREV$")]
   [PluginFile("HeuristicLab.Services.Hive-3.3.dll", PluginFileType.Assembly)]
-  [PluginDependency("HeuristicLab.Common", "3.3")]
-  [PluginDependency("HeuristicLab.Common.Resources", "3.3")]
+  [PluginDependency("HeuristicLab.Common", "3.3")]  
   [PluginDependency("HeuristicLab.Core", "3.3")]
   [PluginDependency("HeuristicLab.Persistence", "3.3")]  
